<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Income_detail extends Model
{
    protected $guarded = [];
    protected $table = 'income_details';

    public function income()
    {
        return $this->belongsTo(Income::class, 'income_id');
    }

    public function income_category()
    {
        return $this->belongsTo(Income_category::class, 'income_account_id', 'head_code');
    }
}
